Solution for slitaz tazpkg upgrade

After the new release of slitaz cooking, version 20110531, it added new software packages, such as cherokee and nginx, etc. As the latest version of a testing release, testing environment is the best place for its living. However, I got 2 errors when doing tazpkg upgrade, the error messages are same as below:

can’t open ‘libdnet/receipt’
can’t open ‘snort/receipt’

To simply fix this issue, just fix it by installing the outdated software packages manually. For example type:

tazpkg get-install libdnet
tazpkg get-install snort

It is suggested clear the tazpkg cache and re-run the package list, below are the commands to complete the task easily.

tazpkg -cc
tazpkg recharge

Please leave your comment on the topic